package poker.domain.classificacao

import poker.domain.Carta
import poker.domain.Valor._
import poker.domain.Naipe._
import org.testng.annotations._
import org.junit.Assert._
import poker.PokerHelperTest._

class FlushTest {
  
  @Test
  def menorFlushGanhaDeMaiorSequencia() {
    assertTrue(menorFlush() > maiorSequencia())
    assertTrue(maiorSequencia() < menorFlush())
  }
  
  @Test
  def cartaMaisAltaDoFlushGanha() {
    assertTrue(c((2, PAUS), (3, PAUS), (4, PAUS), (5, PAUS), (8, PAUS)) >
               c((2, PAUS), (3, PAUS), (4, PAUS), (5, PAUS), (7, PAUS)))
  }
                                                                
  @Test
  def empate() {
		var comb = maiorFlush()
    assertTrue(comb >= comb)
		assertTrue(comb <= comb)
  }
}
